Package commoble.looot.data

# Class NameListManager

java.lang.Object
net.minecraft.server.packs.resources.SimplePreparableReloadListener<Map<net.minecraft.resources.ResourceLocation,FINE>>
commoble.looot.data.MergeableCodecDataManager<NameList,List<String>>
commoble.looot.data.NameListManager

All Implemented Interfaces:
  `net.minecraft.server.packs.resources.PreparableReloadListener`

public class NameListManager extends MergeableCodecDataManager<NameList,List<String>>

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.minecraft.server.packs.resources.PreparableReloadListener

`net.minecraft.server.packs.resources.PreparableReloadListener.PreparationBarrier`

## Field Summary

Fields
Modifier and Type
Field
Description
`Map<net.minecraft.resources.ResourceLocation,List<net.minecraft.network.chat.MutableComponent>>`
`translationKeys`
Where the strings loaded from the data are of the form e.g.

### Fields inherited from class commoble.looot.data.MergeableCodecDataManager

`data, JSON_EXTENSION, JSON_EXTENSION_LENGTH`

## Constructor Summary

Constructors
Constructor
Description
`NameListManager(String folderName)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`apply(Map<net.minecraft.resources.ResourceLocation,List<String>> processedData, net.minecraft.server.packs.resources.ResourceManager resourceManager, net.minecraft.util.profiling.ProfilerFiller profiler)`
Main-thread processing, runs after prepare concludes
`protected Map<net.minecraft.resources.ResourceLocation,List<net.minecraft.network.chat.MutableComponent>>`
`bakeTranslationKeys()`

### Methods inherited from class commoble.looot.data.MergeableCodecDataManager

`folderName, getData, prepare, subscribeAsSyncable`

### Methods inherited from class net.minecraft.server.packs.resources.SimplePreparableReloadListener

`reload`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.server.packs.resources.PreparableReloadListener

`getName`

## Field Details

### translationKeys

public Map<net.minecraft.resources.ResourceLocation,List<net.minecraft.network.chat.MutableComponent>> translationKeys
Where the strings loaded from the data are of the form e.g. "word", the translation keys are of the form e.g. "modid.looot.namewords.prefixes.folders.subfolders.word"

## Constructor Details

### NameListManager

public NameListManager(String folderName)

## Method Details

### apply

protected void apply(Map<net.minecraft.resources.ResourceLocation,List<String>> processedData, net.minecraft.server.packs.resources.ResourceManager resourceManager, net.minecraft.util.profiling.ProfilerFiller profiler)
Description copied from class: `MergeableCodecDataManager`
Main-thread processing, runs after prepare concludes

Overrides:
  `apply` in class `MergeableCodecDataManager<NameList,List<String>>`

### bakeTranslationKeys

protected Map<net.minecraft.resources.ResourceLocation,List<net.minecraft.network.chat.MutableComponent>> bakeTranslationKeys()